weka.classifiers.evaluation

## Class AggregateableEvaluation

- java.lang.Object
- - weka.classifiers.evaluation.Evaluation
  - - weka.classifiers.evaluation.AggregateableEvaluation

- All Implemented Interfaces:
    java.io.Serializable, Aggregateable<Evaluation>, RevisionHandler, Summarizable

      public class AggregateableEvaluation
      extends Evaluation
      implements Aggregateable<Evaluation>

  Subclass of Evaluation that provides a method for aggregating the results stored in another Evaluation object.
  Version:
    $Revision: 10153 $
  Author:
    Mark Hall (mhall{[at]}pentaho{[dot]}com)
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class weka.classifiers.evaluation.Evaluation

      `BUILT_IN_EVAL_METRICS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AggregateableEvaluation(Evaluation eval)` Constructs a new AggregateableEvaluation object based on an Evaluation object
    `AggregateableEvaluation(Instances data)` Constructs a new AggregateableEvaluation object
    `AggregateableEvaluation(Instances data, CostMatrix costMatrix)` Constructs a new AggregateableEvaluation object

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AggregateableEvaluation` | `aggregate(Evaluation evaluation)` Adds the statistics encapsulated in the supplied Evaluation object into this one.
    `void` | `finalizeAggregation()` Call to complete the aggregation process.

    - ### Methods inherited from class weka.classifiers.evaluation.Evaluation

      `areaUnderPRC, areaUnderROC, avgCost, confusionMatrix, correct, correlationCoefficient, coverageOfTestCasesByPredictedRegions, crossValidateModel, crossValidateModel, crossValidateModel, equals, errorRate, evaluateModel, evaluateModel, evaluateModel, evaluateModelOnce, evaluateModelOnce, evaluateModelOnce, evaluateModelOnceAndRecordPrediction, evaluateModelOnceAndRecordPrediction, evaluationForSingleInstance, falseNegativeRate, falsePositiveRate, fMeasure, getAllEvaluationMetricNames, getClassPriors, getDiscardPredictions, getHeader, getMetricsToDisplay, getPluginMetric, getPluginMetrics, getRevision, incorrect, kappa, KBInformation, KBMeanInformation, KBRelativeInformation, main, matthewsCorrelationCoefficient, meanAbsoluteError, meanPriorAbsoluteError, missingClass, numFalseNegatives, numFalsePositives, numInstances, numTrueNegatives, numTruePositives, pctCorrect, pctIncorrect, pctUnclassified, precision, predictions, priorEntropy, recall, relativeAbsoluteError, rootMeanPriorSquaredError, rootMeanSquaredError, rootRelativeSquaredError, setDiscardPredictions, setMetricsToDisplay, setPriors, SFEntropyGain, SFMeanEntropyGain, SFMeanPriorEntropy, SFMeanSchemeEntropy, SFPriorEntropy, SFSchemeEntropy, sizeOfPredictedRegions, toClassDetailsString, toClassDetailsString, toCumulativeMarginDistributionString, toggleEvalMetrics, toMatrixString, toMatrixString, toSummaryString, toSummaryString, toSummaryString, totalCost, trueNegativeRate, truePositiveRate, unclassified, unweightedMacroFmeasure, unweightedMicroFmeasure, updatePriors, useNoPriors, weightedAreaUnderPRC, weightedAreaUnderROC, weightedFalseNegativeRate, weightedFalsePositiveRate, weightedFMeasure, weightedMatthewsCorrelation, weightedPrecision, weightedRecall, weightedTrueNegativeRate, weightedTruePositiveRate, wekaStaticWrapper, withClass`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AggregateableEvaluation

          public AggregateableEvaluation(Instances data)
                                  throws java.lang.Exception

      Constructs a new AggregateableEvaluation object
      Parameters:
        `data` - the Instances to use
      Throws:
        `java.lang.Exception` - if a problem occurs

    - #### AggregateableEvaluation

          public AggregateableEvaluation(Instances data,
                                         CostMatrix costMatrix)
                                  throws java.lang.Exception

      Constructs a new AggregateableEvaluation object
      Parameters:
        `data` - the Instances to use
        `costMatrix` - the cost matrix to use
      Throws:
        `java.lang.Exception` - if a problem occurs

    - #### AggregateableEvaluation

          public AggregateableEvaluation(Evaluation eval)
                                  throws java.lang.Exception

      Constructs a new AggregateableEvaluation object based on an Evaluation object
      Parameters:
        `eval` - the Evaluation object to use
      Throws:
        `java.lang.Exception`

  - ### Method Detail

    - #### aggregate

          public AggregateableEvaluation aggregate(Evaluation evaluation)

      Adds the statistics encapsulated in the supplied Evaluation object into this one. Does not perform any checks for compatibility between the supplied Evaluation object and this one.
      Specified by:
        `aggregate` in interface `Aggregateable<Evaluation>`
      Parameters:
        `evaluation` - the evaluation object to aggregate
      Returns:
        the result of aggregation

    - #### finalizeAggregation

          public void finalizeAggregation()

      Description copied from interface: `Aggregateable`
      Call to complete the aggregation process. Allows implementers to do any final processing based on how many objects were aggregated.
      Specified by:
        `finalizeAggregation` in interface `Aggregateable<Evaluation>`